Ranorex Automation NG could not be installed

Ask general questions here.
Saraa71a
Posts: 10
Joined: Thu Mar 22, 2018 9:41 pm

Ranorex Automation NG could not be installed

Post by Saraa71a » Fri Mar 23, 2018 3:58 pm

Hello support team,

I have Ranorex 5.4.6 and tried to install Ranorex Automation NG through InstrumentationWizard and manually, but I am not able to do that. It is not compatible with FF 59.0.1. tried version 57 and faced the same problem.

I reinstalled Ranorex 5.4.6 once again and still face the same problem, I like not to update Ranorex preferably.

Thanks,

User avatar
odklizec
Ranorex Guru
Ranorex Guru
Posts: 3930
Joined: Mon Aug 13, 2012 9:54 am
Location: Zilina, Slovakia

Re: Ranorex Automation NG could not be installed

Post by odklizec » Sat Mar 24, 2018 1:19 am

Hi,

I’m afraid, your Ranorex version is too old and no longer supported. A much bigger issue is, that Firefox changed its plugin format and terminated support for “old” plugins in FF 57 (including Ranorex NG plugin). Ranorex reimplemented their FF plugin in Ranorex 7.2.0. So if you would like to run your tests in FF57 and higher, you need to get, at very least, Ranorex 7.2.0. However, there is one more (small) catch! Actual implementation of FF plugin is somewhat slow (slower than Chrome and IE) and there will be released new plugin very soon in upcoming Ranorex 8.1. Hope this helps?
Pavel Kudrys
Ranorex explorer at Descartes Systems

Please add these details to your questions:
  • Ranorex Snapshot. Learn how to create one >here<
  • Ranorex xPath of problematic element(s)
  • Ranorex version
  • OS version
  • HW configuration

Saraa71a
Posts: 10
Joined: Thu Mar 22, 2018 9:41 pm

Re: Ranorex Automation NG could not be installed

Post by Saraa71a » Mon Mar 26, 2018 2:11 pm

Thanks pavel!